OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class OutageTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.outage.OutageTest

All Implemented Interfaces:
  junit.framework.Test

public class OutageTest
extends junit.framework.TestCase

Nested Class Summary
`(package private) class` `OutageTest.OutageChecker`

Field Summary
`private MockDatabase` `m_db`
`private MockEventIpcManager` `m_eventMgr`
`private MockNetwork` `m_network`
`private OutageAnticipator` `m_outageAnticipator`
`private OutageManager` `m_outageMgr`
`private boolean` `m_started`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`OutageTest()`

Method Summary
`private void` `anticipateDown(MockElement element, Event lostService)`
`private void` `anticipateUp(MockElement element, Event regainService)`
`private void` `checkAllServices(MockElement element, Event lostService, Event regainService)`
`private void` `createOutages(MockElement element, Event event)`
`private java.util.Date` `november(int day, int year, int hour, int minute, int second)`
`private void` `resetAnticipated()`
`protected void` `setUp()`
`private void` `sleep(long millis)`
`private void` `startOutageMgr()`
`private void` `stopOutageMgr()`
`protected void` `tearDown()`
`private void` `testElementDownUp(MockElement element)`
`void` `testInterfaceDownUp()`
`void` `testInterfaceReparented()`
`void` `testNodeDownUp()`
`void` `testNodeLostRegainedService()`
`void` `testOutageAlreadyExists()`
`void` `testUnmangedWithOpenOutageAtStartup()`
`private void` `verifyAnticipated()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_outageMgr

    private OutageManager m_outageMgr

### m_network

    private MockNetwork m_network

### m_db

    private MockDatabase m_db

### m_eventMgr

    private MockEventIpcManager m_eventMgr

### m_outageAnticipator

    private OutageAnticipator m_outageAnticipator

### m_started

    private boolean m_started

Constructor Detail

### OutageTest

    public OutageTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### startOutageMgr

    private void startOutageMgr()

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopOutageMgr

    private void stopOutageMgr()

### testNodeLostRegainedService

    public void testNodeLostRegainedService()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterfaceDownUp

    public void testInterfaceDownUp()

### testNodeDownUp

    public void testNodeDownUp()

### testInterfaceReparented

    public void testInterfaceReparented()

### testOutageAlreadyExists

    public void testOutageAlreadyExists()

### testUnmangedWithOpenOutageAtStartup

    public void testUnmangedWithOpenOutageAtStartup()

### testElementDownUp

    private void testElementDownUp(MockElement element)

### createOutages

    private void createOutages(MockElement element,
                               Event event)

### resetAnticipated

    private void resetAnticipated()

### anticipateDown

    private void anticipateDown(MockElement element,
                                Event lostService)

### anticipateUp

    private void anticipateUp(MockElement element,
                              Event regainService)

### verifyAnticipated

    private void verifyAnticipated()

### sleep

    private void sleep(long millis)

### checkAllServices

    private void checkAllServices(MockElement element,
                                  Event lostService,
                                  Event regainService)

### november

    private java.util.Date november(int day,
                                    int year,
                                    int hour,
                                    int minute,
                                    int second)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.